function [  ] = nacti_databazi
%funkce slouzi pro nacteni obrazove databaze dat a ulozeni teto databaze do
%souboru databaze_gest
%pocet gest v databazi
S = dir('databaze' );
Pocet_gest = length(S)-2;
for j=1:Pocet_gest
    %pocet variant gesta v databazi
    slozka=int2str(j);
    promena_sl = ['databaze/',slozka];
    gest_soubor = dir([promena_sl, '\*.bmp']);
    Pocet_verzi = length(gest_soubor(not([gest_soubor.isdir])));
    for k=1:Pocet_verzi
        soubor=int2str(k);
        promena=['databaze/',slozka,'/',soubor,'.bmp'];
        
        vzor=(im2double(imread(promena)));
        vzor(vzor<=0.5)=-1;vzor(vzor>0.5)=1;
        obr{j,k}=vzor;
%         figure;
        %         imshow(obr{j,k});
    end
end
databaze_gest=obr;
save('databaze/vzory','databaze_gest');
end

